Package Details: openrct2-git r15600.215ea7edc-1

Git Clone URL: https://aur.archlinux.org/openrct2-git.git (read-only)
Package Base: openrct2-git
Description: Open source re-implementation of Roller Coaster Tycoon 2 (requires full copy of the game)
Upstream URL: https://openrct2.io
Licenses: GPL3
Conflicts: openrct2
Provides: openrct2
Submitter: grahamedgecombe
Maintainer: grahamedgecombe
Last Packager: grahamedgecombe
Votes: 25
Popularity: 0.001668
First Submitted: 2014-05-27 09:56
Last Updated: 2018-10-31 19:03

Latest Comments

« First ‹ Previous ... 6 7 8 9 10 11

grahamedgecombe commented on 2014-08-05 11:32

I've just built the package in a clean x86_64 chroot (so I only have base, base-devel and the required dependencies) and I can't reproduce your problem. Is there a way to get cmake to produce more verbose output about why it's failing?

install.sh shouldn't be called from the PKGBUILD as it installs the mingw version of SDL2 directly to /usr/local. The PKGBUILD depends on mingw-w64-sdl2 instead, which is the clean way of doing it. (The install.sh script does patch the SDL2 source, but I don't believe the patch is required as I've had no problems using the unpatched mingw-w64-sdl2 package from the AUR.)

artofhbc commented on 2014-08-05 03:16

Seems that we should run install.sh (without the apt-get part) before building from cmake?

artofhbc commented on 2014-08-05 03:08

When I try to build the program in 64bit system, some errors occurred:

https://gist.github.com/bcho/284c92d57b9e16d09f33

How can I fix that? (I have installed mingw-w64-sdl2.)

Thanks!